#
# spec file for package perl-IO-TieCombine
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-IO-TieCombine
Version:        1.005
Release:        1.33
%define cpan_name IO-TieCombine
Summary:        Produce Tied (and Other) Separate but Combined Variables
License:        Artistic-1.0 or GPL-1.0+
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/IO-TieCombine/
Source0:        http://www.cpan.org/authors/id/R/RJ/RJBS/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.96
%{perl_requires}

%description
produce tied (and other) separate but combined variables

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes LICENSE README

%changelog
* Sat Oct 31 2015 coolo@suse.com
- updated to 1.005
  see /usr/share/doc/packages/perl-IO-TieCombine/Changes
  1.005     2015-10-30 22:18:10-04:00 America/New_York
  - fileno on a IO::TieCombine::Handle now returns a negative value
    so they can be known to be artificial
* Sun Feb  9 2014 coolo@suse.com
- updated to 1.004
  - update bugtracker link
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.003
  - "say" to a tied fh on 5.12, 5.14, and 5.16 is broken, too;
    we'll test it, but leave the test broken, for now
* Wed Jun  5 2013 coolo@suse.com
- updated to 1.002
    "say" to a tied fh on 5.10.0 is broken; we will not test it
    TieCombine filehandles now respect $\ so that "say $tied" will work;
    this fixes [rt.cpan.org #73131]
* Sat Nov 12 2011 coolo@suse.com
- recreated with cpanspec 1.78.05
* Thu Apr  7 2011 coolo@novell.com
- recreated with cpanspec 1.78.04
* Wed Dec 29 2010 pascal.bleser@opensuse.org
- initial version (1.000)
